Bug 73605 - 2.4.18 kernel hangs on Intel 830M/IBM A30p Thinkpad when screen blanks
Summary: 2.4.18 kernel hangs on Intel 830M/IBM A30p Thinkpad when screen blanks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-06 16:30 UTC by whn
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description whn 2002-09-06 16:30:39 UTC
Description of Problem: 
 
2.4.18-10 kernel hangs on IBM A30p Thinkpad w/Intel 830M chipset when the 
screen blanks.  This happens over 95% of the time.  /var/log/messages and 
maillog stops about two hours after last use.  Laptop stops responding to on 
the network port, keyboard and mouse and has to be power cycled.  2.4.18-5 
kernel hangs once every few days.  Older kernels did not have this problem.  
BIOS is current. 
 
Using KDE desktop with 10 minute time out on screen save (random).  It is 
after the screen is turned off (by X?) after a while. 
 
Version-Release number of selected component (if applicable): 
 
  2.4.18-10 reliably hangs; 2.4.18-5 kernel hangs less then 5% of the time. 
 
How Reproducible: 
 
  2.4.18-10 - Very reproducible only a few times it has not. 
  2.4.18-5  - Infrequent enough that I am still using it. 
  Older kernels seemed to be okay 
 
Steps to Reproduce: 
  1. Boot laptop with AC adaptor (UPS power) 
  2. Login in.  Amount of use does not seem to matter. 
  3. Walk away for more than two hours 
 
Actual Results: 
 
  When I come back and hit the shift key nothing happens. 
 
Expected Results: 
 
  Screen to turn back on when I touch the shift key. 
 
Additional Information:

Comment 1 Bugzilla owner 2004-09-30 15:39:54 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.